/*
 * Copyright (c) 1983 Regents of the University of California.
 * All rights reserved. The Berkeley Software License Agreement
 * specifies the terms and conditions for redistribution.
 */
/* $Header:d_sign.c 12.0$ */
/* $ACIS:d_sign.c 12.0$ */
/* $Source: /ibm/acis/usr/src/usr.lib/libF77/RCS/d_sign.c,v $ */

#ifndef lint
static char *rcsid = "$Header:d_sign.c 12.0$";
#endif

/* @(#)d_sign.c	5.1 - 86/12/09 - 09:06:05 */
double d_sign(a,b)
double *a, *b;
{
double x;
	x = *a;
	if (x < 0)
		x = -x;
	if (*b < 0)
		x = -x;
	return (x);
/*x = (*a >= 0 ? *a : - *a);
 *return( *b >= 0 ? x : -x);
*/
}
